package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfProjectCwWtg;

import java.util.List;

/**
 * WfProjectCwWtgService接口
 *
 * @author hlf
 * @date 2021-08-04
 */
public interface IWfProjectCwWtgService {
    /**
     * 查询WfProjectCwWtg
     *
     * @param wtgNo WfProjectCwWtgID
     * @return WfProjectCwWtg
     */
    public WfProjectCwWtg selectWfProjectCwWtgById(Long wtgNo);

    /**
     * 查询WfProjectCwWtg列表
     *
     * @param wfProjectCwWtg WfProjectCwWtg
     * @return WfProjectCwWtg集合
     */
    public List<WfProjectCwWtg> selectWfProjectCwWtgList(WfProjectCwWtg wfProjectCwWtg);

    /**
     * 新增WfProjectCwWtg
     *
     * @param wfProjectCwWtg WfProjectCwWtg
     * @return 结果
     */
    public int insertWfProjectCwWtg(WfProjectCwWtg wfProjectCwWtg);

    /**
     * 修改WfProjectCwWtg
     *
     * @param wfProjectCwWtg WfProjectCwWtg
     * @return 结果
     */
    public int updateWfProjectCwWtg(WfProjectCwWtg wfProjectCwWtg);

    /**
     * 删除WfProjectCwWtg信息
     *
     * @param wtgNo WfProjectCwWtgID
     * @return 结果
     */
    public int deleteWfProjectCwWtgById(Long wtgNo);

    /**
     * 批量删除WfProjectCwWtg
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWfProjectCwWtgByIds(String ids);

    int insertWfProjectCwWtgList(List<WfProjectCwWtg> wfProjectCwWtgList);

    List<WfProjectCwWtg> selectWfProjectCwWtgByWindplantNo(Long windplantNo);

    List<WfProjectCwWtg> selectWfProjectCwWtgByPojectNo(Long windplantNo, Long projectNo);

    List<WfProjectCwWtg> selectWfProjectCwWtgByCollectorwireNo(Long windplantNo, Long projectNo, Long collectorwireNo);

    int deleteWfProjectCwWtgByWindplantNo(Long windplantNo);

    int deleteWfProjectCwWtgByProjectNo(Long windplantNo, Long projectNo);

    int deleteWfProjectCwWtgByCollectorwireNo(Long windplantNo, Long projectNo, Long collectorwireNo);
}
